using System;

internal sealed class Delegate100 : MulticastDelegate
{
	public extern int Invoke(int int_0, int int_1);

	public static int smethod_0(int int_0, int int_1, Delegate100 delegate100_1)
	{
		return delegate100_1(int_0, int_1);
	}

	public extern Delegate100(object object_0, IntPtr intptr_0);

	static Delegate100()
	{
		Class10.smethod_13(typeof(Delegate100).TypeHandle);
	}

	internal static Delegate100 delegate100_0;
}
